#ifndef __INSDEL_P_H__
#define __INSDEL_P_H__

extern _VOID_ move_gap _P_((int pos));
extern _VOID_ make_gap _P_((int increment));
extern _VOID_ signal_after_change _P_((int pos, int lendel, int lenins));
extern _VOID_ insert _P_((register unsigned char *string,
                          register int length));
extern _VOID_ insert_from_string _P_((Lisp_Object string, register int pos,
				      register int length));
extern _VOID_ insert_char _P_((unsigned char));
extern _VOID_ insert_string _P_((char *string));
extern _VOID_ insert_before_markers _P_((unsigned char *string,
                                         register int length));
extern _VOID_ insert_from_string_before_markers _P_((Lisp_Object string,
                                                     register int pos,
                                                     register int length));
extern _VOID_ del_range _P_((register int from, register int to));
extern _VOID_ modify_buffer _P_((struct buffer *buffer, int start,
				 int end));
extern _VOID_ prepare_to_modify_buffer _P_((Lisp_Object start,
					    Lisp_Object end));
static _VOID_ adjust_markers _P_((register int from,
                                  register int to,
                                  register int amount));
extern _VOID_ modify_region _P_((struct buffer *buffer, int start, int end));

#endif
